
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "BDAnalyze/version"

Gem::Specification.new do |spec|
  spec.name          = "BDAnalyze"
  spec.version       = BDAnalyze::VERSION
  spec.authors       = ["bupterambition"]
  spec.email         = ["bupterambition@gmail.com"]

  spec.summary       = %q{BDAnalyze,A tool used for analyze the dependencies of your code and Pods}
  spec.description   = %q{BDAnalyze is a tool used for analyze the dependencies of your code and Pods}
  spec.homepage      = "https://github.com/Bupterambition/BDAnalyze"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["allowed_push_host"] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  
  spec.executables   = "BDAnalyze"
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
end
